# -*- coding: utf-8 -*-
# Generated by Django 1.11.10 on 2018-03-19 15:16
from __future__ import unicode_literals

from django.db import migrations


def cleanup_bundles(apps, schema_editor):
    Bundle = apps.get_model("oscarbundles", "Bundle")
    for bundle in Bundle.objects.order_by("id").all():
        if bundle.suggested_products.all().count() <= 0:
            bundle.delete()


def cleanup_bundle_groups(apps, schema_editor):
    BundleGroup = apps.get_model("oscarbundles", "BundleGroup")
    for group in BundleGroup.objects.order_by("id").all():
        if group.bundles.all().count() <= 0:
            group.delete()


class Migration(migrations.Migration):
    dependencies = [
        ("oscarbundles", "0009_auto_20180319_1116"),
    ]

    operations = [
        migrations.RunPython(cleanup_bundles),
        migrations.RunPython(cleanup_bundle_groups),
    ]
